> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extat.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a company data



## OpenAPI

````yaml /openapi/extat-openapi.json put /companies/{id}
openapi: 3.0.0
info:
  contact:
    email: contato@cernedigital.io
    name: Cerne Digital
    url: https://cernedigital.io
  description: >-
    API REST da Extat Plataforma usada pelo painel web. Artefato OpenAPI 3.0
    para a documentação Mintlify (tags em PT-BR).
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Extat Plataforma - API REST
  version: '1.0'
servers:
  - url: https://golang-api-vgnqx.ondigitalocean.app/v1
security: []
tags:
  - name: Autenticação
  - name: Bancos
  - name: Contas Bancárias
  - name: Plano e Assinaturas
  - name: Empresa
  - name: Centros de Custo
  - name: Painel
  - name: Demonstrativos
  - name: Saúde
  - name: Convites
  - name: Membros
  - name: Onboarding
  - name: Fornecedores
  - name: Usuário
paths:
  /companies/{id}:
    put:
      tags:
        - Empresa
      summary: Update a company data
      parameters:
        - description: company uuid
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.UpdateCompanyRequestDTO'
        description: company data
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.CompanyResponseDTO'
          description: OK
        '400':
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.UpdateCompanyRequestDTO:
      properties:
        address:
          $ref: '#/components/schemas/dto.Address'
        average_billing:
          type: string
        business:
          type: string
        document:
          type: string
        email:
          type: string
        founded_at:
          type: string
        name:
          type: string
        tax_regime:
          type: string
        trade_name:
          type: string
      required:
        - business
        - document
        - name
      type: object
    dto.CompanyResponseDTO:
      properties:
        active:
          type: boolean
        address:
          $ref: '#/components/schemas/dto.AddressResponseDTO'
        avatar:
          type: string
        average_billing:
          type: number
        business:
          type: string
        created_at:
          type: string
        document:
          type: string
        email:
          type: string
        founded_at:
          type: string
        id:
          type: string
        name:
          type: string
        tax_regime:
          type: string
        trade_name:
          type: string
        updated_at:
          type: string
      type: object
    dto.Address:
      properties:
        city:
          type: string
        complement:
          type: string
        neighbourhood:
          type: string
        number:
          type: string
        state:
          type: string
        street:
          type: string
        zip_code:
          type: string
      type: object
    dto.AddressResponseDTO:
      properties:
        city:
          type: string
        complement:
          type: string
        neighbourhood:
          type: string
        number:
          type: string
        state:
          type: string
        street:
          type: string
        zip_code:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo
        esquema ApiKeyAuth do contrato).
      in: header
      name: Authorization
      type: apiKey

````